Package org.opensaml.spring.credential

# Class X509InlineCredentialFactoryBean

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<T>
net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean<T>
org.opensaml.spring.credential.AbstractCredentialFactoryBean<BasicX509Credential>
org.opensaml.spring.credential.AbstractX509CredentialFactoryBean
org.opensaml.spring.credential.X509InlineCredentialFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<BasicX509Credential>`, `InitializingBean`

public class X509InlineCredentialFactoryBean extends AbstractX509CredentialFactoryBean
A factory bean to understand X509Inline credentials.

## Field Summary

Fields
Modifier and Type
Field
Description
`private List<String>`
`certificates`
The certificates.
`private List<String>`
`crls`
The crls.
`private String`
`entityCertificate`
The entity certificate.
`private final org.slf4j.Logger`
`log`
log.
`private byte[]`
`privateKey`
The private key.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`X509InlineCredentialFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`protected List<X509Certificate>`
`getCertificates()`
Get the configured certificates.
`protected List<X509CRL>`
`getCRLs()`
Get the configured CRL list.
`protected X509Certificate`
`getEntityCertificate()`
return the explicitly configured entity certificate.
`protected PrivateKey`
`getPrivateKey()`
Get the configured private key.
`void`
`setCertificates(List<String> certs)`
Sets the certificates.
`void`
`setCRLs(List<String> list)`
Sets the files which contain the crls.
`void`
`setEntity(String entityCert)`
Set the file with the entity certificate.
`void`
`setPrivateKey(byte[] key)`
Set the private key.

### Methods inherited from class org.opensaml.spring.credential.AbstractX509CredentialFactoryBean

`doCreateInstance, getObjectType`

### Methods inherited from class org.opensaml.spring.credential.AbstractCredentialFactoryBean

`getConfigDescription, getEntityID, getKeyNames, getPrivateKeyPassword, getUsageType, setConfigDescription, setEntityID, setKeyNames, setPrivateKeyPassword, setUsageType`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean

`createInstance, destroyInstance, setThrowIfNull`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
log.

### entityCertificate

@Nullable private String entityCertificate
The entity certificate.

### certificates

@Nullable private List<String> certificates
The certificates.

### privateKey

@Nullable private byte[] privateKey
The private key.

### crls

@Nullable private List<String> crls
The crls.

## Constructor Details

### X509InlineCredentialFactoryBean

public X509InlineCredentialFactoryBean()

## Method Details

### setEntity

public void setEntity(@Nonnull String entityCert)
Set the file with the entity certificate.

Parameters:
  `entityCert` - The file to set.

### setCertificates

public void setCertificates(@Nullable @NotEmpty List<String> certs)
Sets the certificates.

Parameters:
  `certs` - The value to set.

### setPrivateKey

public void setPrivateKey(@Nullable byte[] key)
Set the private key.

Parameters:
  `key` - The file to set.

### setCRLs

public void setCRLs(@Nullable @NotEmpty List<String> list)
Sets the files which contain the crls.

Parameters:
  `list` - The value to set.

### getEntityCertificate

@Nullable protected X509Certificate getEntityCertificate()
return the explicitly configured entity certificate..

Specified by:
  `getEntityCertificate` in class `AbstractX509CredentialFactoryBean`
Returns:
  the certificate, or none if not configured.

### getCertificates

@Nonnull protected List<X509Certificate> getCertificates()
Get the configured certificates. This MUST include the entity certificate if it was configured.

Specified by:
  `getCertificates` in class `AbstractX509CredentialFactoryBean`
Returns:
  the certificates.

### getPrivateKey

@Nullable protected PrivateKey getPrivateKey()
Get the configured private key.

Specified by:
  `getPrivateKey` in class `AbstractX509CredentialFactoryBean`
Returns:
  the key or null if non configured

### getCRLs

@Nullable protected List<X509CRL> getCRLs()
Get the configured CRL list.

Specified by:
  `getCRLs` in class `AbstractX509CredentialFactoryBean`
Returns:
  the crls or null